/* =====================================================================

   LiMo - Liblary Header
      Graphic Display System.  - $B2hLL$H%*%V%8%'4IM}(B

                                  Programed by Rero2 (K.Kunikane)

====================================================================== */

#ifndef RR_SCREEN

#define RR_SCREEN

/* -------------------------------------------------------------
 --- Extern
-------------------------------------------------------------- */
void       RRScreenInit(GtkWidget*, gchar*, gint, gint);
void       RRScreenFree(void);
gint       RRScreenSwitch(void);
gboolean   RRScreenRedraw(GtkWidget*, GdkEventExpose*,gpointer);
gint       RRScreenBufNum(void);
GdkPixmap *RRScreenBuffer(void);
GtkWidget *RRScreenCanvas(void);
GtkWidget *RRScreenWindow(void);
void       RRScreenGCColor(gint, gint, gint);
GdkGC     *RRScreenGCGet(void);
void       RRScreenClear(gint, gint, gint);
void       RRScreenFontSetInit(gchar*);
void       RRScreenFontInit(gchar*);
void       RRScreenFontLocate(gint, gint);
void       RRScreenFontSize(gchar*, gint*, gint*);
void       RRScreenFontPrint(gchar *);
void       RRScreenFontDialog(void);
void       RRScreenPutPixmap(GdkPixmap*, gint, gint);
GtkWidget *RRGetParts(GtkWidget *, gchar *);

#endif
